function [NY,P,NALT,NI] = sizeof(THIS)
% SIZEOF  [Not a public function] Dimensions of VAR object.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

% Number of endogenous variables.
NY = size(THIS.A,1);
P = size(THIS.A,2);

% Number of alternative paramterisations.
NALT = size(THIS.A,3);

% Order of the VAR.
P = P / max(NY,1);

% Number of conditioning instruments.
NI = size(THIS.Zi,1);

end